<?php 
    session_start();
    if(isset($_GET['sair'])){
        if ($_GET['sair'] == "true"){
            $_SESSION['user_type'] = '';
            echo "
                <script type='text/javascript'>
                    window.location = '/preview';
                </script>
            ";   
        }
    }
    if(isset($_SESSION['user_type'])){
        if ($_SESSION['user_type'] == "admin"){
            // Fetch records from database 
            if(!isset($_SESSION['download'])){
                if($_GET['download'] == "export"){
                    include("../data/connection.php");
                    $query = $conn->query("SELECT * FROM caviquio_cadastros.cadastros ORDER BY id ASC"); 
                    
                    if($query->num_rows > 0){ 
                        $delimiter = ";"; 
                        $filename = "members-data_" . date('Y-m-d') . ".csv"; 
                        
                        // Create a file pointer 
                        $f = fopen('php://memory', 'w'); 
                        
                        // Set column headers 
                        $fields = array('ID', 'nome', 'whatsapp', 'created_time'); 
                        fputcsv($f, $fields, $delimiter); 
                        
                        // Output each row of the data, format line as csv and write to file pointer 
                        while($row = $query->fetch_assoc()){ 
                            $lineData = array($row['id'], $row['nome'], $row['whatsapp'], $row['created_time']); 
                            fputcsv($f, $lineData, $delimiter); 
                        } 
                        
                        // Move back to beginning of file 
                        fseek($f, 0); 
                        
                        // Set headers to download file rather than displayed 
                        header('Content-Type: text/csv'); 
                        header('Content-Disposition: attachment; filename="' . $filename . '";'); 
                        
                        //output all remaining data on a file pointer 
                        fpassthru($f); 
                    } 
                    exit();
                } 
            }
        }
        else{
            echo "
                <script type='text/javascript'>
                    alert('Você não tem permissão para entrar nessa página!');
                    window.location = '/preview';
                </script>
            ";   
        }
    }else{
        echo "
            <script type='text/javascript'>
                alert('Você não tem permissão para entrar nessa página!');
                window.location = '/preview';
            </script>
        ";
    }
?>

<!DOCTYPE html>
<html lang="pt-br">

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">

    <title>Download de cadastros</title>
    <meta http-equiv="ScreenOrientation" content="autoRotate:disabled">
    <meta content="width=device-width, initial-scale=1.0" name="viewport">
    <meta content="" name="keywords">
    <meta content="" name="description">

    <!-- Font Awsome -->
    <script src="https://kit.fontawesome.com/ce339b7997.js" crossorigin="anonymous"></script>

    <!-- JS Masks -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.mask/1.14.10/jquery.mask.js"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/jquery.maskedinput/1.4.1/jquery.maskedinput.min.js"></script>
    <script src="https://cdnjs.com/libraries/jquery.mask"></script>

    <!-- Favicons -->
    <link href="/preview/img/favicon.png" rel="icon">
    <link href="/preview/img/apple-touch-icon.png" rel="apple-touch-icon">

    <!-- Google Fonts -->
    <link href="https://fonts.googleapis.com/css?family=Lato:300,400,700,900" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Rationale&display=swap" rel="stylesheet">

    <!-- Bootstrap CSS File -->
    <link href="/preview/lib/bootstrap/css/bootstrap.min.css" rel="stylesheet">

    <!-- Libraries CSS Files -->
    <link href="/preview/lib/ionicons/css/ionicons.min.css" rel="stylesheet">

    <!-- Main Stylesheet File -->
    <link href="/preview/admin\css\admin.css" rel="stylesheet">

    <!-- =======================================================
    Template Name: Soon
    Template URL: https://templatemag.com/soon-website-under-construction-template/
    Author: TemplateMag.com
    License: https://templatemag.com/license/
  ======================================================= -->
</head>

<body>

  <div class="div-logo" style="margin-left: 0% !important">
      <img src="/preview/img/logo.png" class="aligncenter logo-header" width="100%">

      <div class="socials">
          <a href="https://www.instagram.com/caviquioAcademia/" target="_blank">
              <i class="fa-brands fa-instagram fa-xl"></i>
          </a>
          <a href="https://www.facebook.com/CaviquioAcademia" target="_blank">
              <i class="fa-brands fa-facebook-f fa-xl"></i>
          </a>
      </div>

  </div>

  <div class="flexy">
    
  <form class="form-login" action="/preview/admin/download.php" method="GET">
      <h1>Download de cadastros</h1>

      <div class="submits-login">
        <button class="btn btn-primary submit-login sair" onclick="location.href=`download.php?sair=true`; return false">Sair</button>
        <button type="submit" class="btn btn-primary submit-login">Baixar</button>  
        <input type="text" value="export" id="download" name="download" hidden>    
    </div>
      
    </form>
  
  </div>
</body>